Subject: Re: bug#2056: 23.0.60; Enabling flyspell degrades performance

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Apr 2009 10:09:15 +0300

> From: Leo <[email-masked]>
> Date: Tue, 14 Apr 2009 00:48:58 +0100
> Cc: 
> 
> I'd like to point out that with turn-on-flyspell added to
> text-mode-hook. M-x report-emacs-bug will take 9.8 seconds to set up the
> mail buffer in my fairly modern machine (intel core 2 duo with 4G ram).
> I do this measurement using stopwatch from the moment I hit RET at the
> SUBJECT prompt and the result is reproducible. The process is instant
> without flyspell.

I don't see this on my machine (Windows XP), there's no visible delay.

Could it be that somehow each time you do this the speller sub-process
is started (because it is killed when the mail buffer is killed)?
That shouldn't be the case, but I have no other ideas, except
something platform-specific, as Miles suggested.